﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using NewsFeed.Data.Models;

namespace NewsFeed.Web.Migrations
{
    [DbContext(typeof(NewsFeedContext))]
    [Migration("20181103204127_InitialCreate")]
    partial class InitialCreate
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.1.4-rtm-31024")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("NewsFeed.Data.Models.FeedsUser", b =>
                {
                    b.Property<int>("UserId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AspNetUserId");

                    b.Property<string>("FirstName");

                    b.Property<string>("LastName");

                    b.HasKey("UserId");

                    b.ToTable("FeedsUser");
                });

            modelBuilder.Entity("NewsFeed.Data.Models.News", b =>
                {
                    b.Property<int>("NewsId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("NewDescription");

                    b.Property<string>("NewTitle");

                    b.Property<int>("NewsCategory");

                    b.Property<int?>("NewsCategoryNavigationCategoryId");

                    b.Property<int>("UserCreated");

                    b.Property<int?>("UserCreatedNavigationUserId");

                    b.Property<string>("UsersSubscribed");

                    b.HasKey("NewsId");

                    b.HasIndex("NewsCategoryNavigationCategoryId");

                    b.HasIndex("UserCreatedNavigationUserId");

                    b.ToTable("News");
                });

            modelBuilder.Entity("NewsFeed.Data.Models.NewsCategory", b =>
                {
                    b.Property<int>("CategoryId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("CategoryName");

                    b.HasKey("CategoryId");

                    b.ToTable("NewsCategory");
                });

            modelBuilder.Entity("NewsFeed.Data.Models.News", b =>
                {
                    b.HasOne("NewsFeed.Data.Models.NewsCategory", "NewsCategoryNavigation")
                        .WithMany("News")
                        .HasForeignKey("NewsCategoryNavigationCategoryId");

                    b.HasOne("NewsFeed.Data.Models.FeedsUser", "UserCreatedNavigation")
                        .WithMany("News")
                        .HasForeignKey("UserCreatedNavigationUserId");
                });
#pragma warning restore 612, 618
        }
    }
}
